
.oersi-wrap {
	margin: map-get($spacing, 4);
	padding: map-get($spacing, 4);
	color: $gray-900;

	// base

	h1 {
		@include typography('5xl');
		margin: $m-heads;
	}
	h2 {
		@include typography('4xl');
		margin: $m-heads;
	}
	h3 {
		@include typography('3xl');
		margin: $m-heads;
	}
	h4 {
		@include typography('2xl');
		margin: $m-heads;
	}
	p {
		@include typography(base);
	}
	b, strong {
		color: $gray-900;
	}

	code {
		@include typography(base);
		padding: map-get($spacing, 1);
	}
	hr {
		border: 0;
		border-top: 1px solid $gray-100;
		margin-top: map-get($spacing, 8);
		margin-bottom: map-get($spacing, 8);
	}

	// margin & padding

	.m-0 {margin: map-get($spacing, 0);}
	.mt-2 {margin-top: map-get($spacing, 2);}
	.mb-2 {margin-bottom: map-get($spacing, 2);}
	.mt-8 {margin-top: map-get($spacing, 8);}
	.mb-8 {margin-bottom: map-get($spacing, 8);}
	.mt-12 {margin-top: map-get($spacing, 12);}
	.mb-12 {margin-bottom: map-get($spacing, 12);}
	.mt-16 {margin-top: map-get($spacing, 16);}
	.mb-16 {margin-bottom: map-get($spacing, 16);}
	.mt-18 {margin-top: map-get($spacing, 18);}
	.mb-18 {margin-bottom: map-get($spacing, 18);}
	.mt-20 {margin-top: map-get($spacing, 20);}
	.mb-20 {margin-bottom: map-get($spacing, 20);}

	.p-0 {padding: map-get($spacing, 0);}
	.pt-2 {padding-top: map-get($spacing, 2);}
	.pb-2 {padding-bottom: map-get($spacing, 2);}
	.pt-4 {padding-top: map-get($spacing, 4);}
	.pb-4 {padding-bottom: map-get($spacing, 4);}
	.pt-6 {padding-top: map-get($spacing, 6);}
	.pb-6 {padding-bottom: map-get($spacing, 6);}
	.pt-8 {padding-top: map-get($spacing, 8);}
	.pb-8 {padding-bottom: map-get($spacing, 8);}
	.pt-12 {padding-top: map-get($spacing, 12);}
	.pb-12 {padding-bottom: map-get($spacing, 12);}
	.pt-16 {padding-top: map-get($spacing, 16);}
	.pb-16 {padding-bottom: map-get($spacing, 16);}
	.pt-18 {padding-top: map-get($spacing, 18);}
	.pb-18 {padding-bottom: map-get($spacing, 18);}
	.pt-20 {padding-top: map-get($spacing, 20);}
	.pb-20 {padding-bottom: map-get($spacing, 20);}

	.button.button-hero {
		@include typography(base);
		transition: all .3s;
	}

	ol, ul {
		margin-left:0;
		li {
			@include typography(base);
		}
	}

// End

// Documentation lists
ol {
  counter-reset: list-counter;
  list-style: none;
  padding-left: 0;

  li {
    position: relative;
	display: flex;
	align-items: flex-start;
	flex-direction: column;
	margin-top: map-get($spacing, 8);
    margin-bottom: map-get($spacing, 8);
	margin-left:map-get($spacing, 8);
	color: $gray-900;
	.heading {
		display: flex;
		align-items: baseline;
		justify-content: space-between;
		gap: map-get($spacing, 4);
		width: 100%;
		h3 {
			@include typography('xl');
			margin: map-get($spacing, 0);
		}
		i {
			color: $gray-400;
		}
	}
	.footer {
		display: flex;
		width: 100%;
		flex-direction: column;
		margin-top: map-get($spacing, 2 );
		margin-bottom: map-get($spacing, 2 );
		&:after {
			content: '';
			display: block;
			height: 15px;
			border-bottom: 1px solid $gray-100;
			border-right: 1px solid $gray-100;
			margin-top: map-get($spacing, 6 );
			margin-bottom: map-get($spacing, 3 );
		}
	}
	code {
		padding-left: map-get($spacing, 3);
		padding-right: map-get($spacing, 3);
	}

    &::before {
      content: counter(list-counter);
      counter-increment: list-counter;
      position: absolute;
      left: -36px;
      top: 13px;
      transform: translateY(-50%);
      background-color: $blue-500;
      color: $white;
      width: map-get($spacing, 7);
      height: map-get($spacing, 7);
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 50%;
      @include typography(base);
	  font-weight:600;
    }
  }
}

	.nav-tabs {
		display: flex;
		width: 100%;
		list-style-type: none;
		> li {
			> a {
				position: relative;
				display: flex;
				justify-content: center;
				align-items: center;
				border-radius: 4px;
				margin-right: 6px;
				padding: 0.8em 1.5em 0.8em 1.1em;
				text-decoration: none;
				font-weight:500;
				font-size:1.1em;
				color:$blue-500;
				letter-spacing: 0.05em;
				background-color:$gray-100;
				transition: all .3s;
				&:hover {
					background-color:$white;
				}
			}

			&.active > a {
				&,
				&:hover,
				&:focus {
					color: $white;
					cursor: default;
					background-color: $blue-500;
				}
			}
		}
	}

	.tab-content > .tab-pane {
		display: none;
		position: relative;
		max-width: 1120px;
		border-radius: 4px;

		&.active {
			display: block;
			padding: 1rem 3.5rem 2.5rem;
			background-color: $white;
		}
	}

	.tab-icon {
		pointer-events: none;
		width: 24px;
		margin-right:3px;
		margin-bottom:-2px;
		filter: invert(25%) sepia(97%) saturate(1773%) hue-rotate(179deg) brightness(94%) contrast(98%);
	}

	ul.nav-tabs > li.active .tab-icon {
		pointer-events: none;
		filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(100%) contrast(100%);
	}
}
